%global srcname phonenumbers

%global with_check 1

Name:           python-%{srcname}
Version:        8.13.39
Release:        %mkrel 1
Summary:        Python port of Google's libphonenumber
Group:          Development/Python

License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Python port of Google's libphonenumber.

%package -n python3-%{srcname}
Summary:        Python3 port of Google's libphonenumber
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname}
Python 3 port of Google's libphonenumber.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files phonenumbers

%if 0%{?with_check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{srcname} -f %{pyproject_files}



%changelog
* Tue Jul 02 2024 daviddavid <daviddavid> 8.13.39-1.mga10
+ Revision: 2078771
- new version: 8.13.39

* Sat Apr 20 2024 daviddavid <daviddavid> 8.13.35-1.mga10
+ Revision: 2060125
- new version: 8.13.35

* Thu Mar 21 2024 daviddavid <daviddavid> 8.13.32-1.mga10
+ Revision: 2051151
- new version: 8.13.32

* Thu Feb 15 2024 daviddavid <daviddavid> 8.13.30-1.mga10
+ Revision: 2041426
- new version: 8.13.30

* Thu Jan 25 2024 daviddavid <daviddavid> 8.13.28-1.mga10
+ Revision: 2034147
- new version: 8.13.28

* Sun Nov 05 2023 daviddavid <daviddavid> 8.13.24-1.mga10
+ Revision: 2004571
- new version: 8.13.24

* Wed Sep 07 2022 neoclust <neoclust> 8.12.53-1.mga9
+ Revision: 1885118
- New version  8.12.53

* Wed Mar 23 2022 umeabot <umeabot> 8.12.21-3.mga9
+ Revision: 1823473
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 8.12.21-2.mga9
+ Revision: 1783372
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 8.12.21-1.mga9
+ Revision: 1716488
- new version: 8.12.21

* Fri Mar 26 2021 daviddavid <daviddavid> 8.12.20-1.mga9
+ Revision: 1710418
- new version: 8.12.20
- rebuild for python 3.9

* Fri Dec 18 2020 joequant <joequant> 8.12.15-1.mga8
+ Revision: 1660823
- update to 8.12.15

* Thu Feb 20 2020 umeabot <umeabot> 8.11.3-2.mga8
+ Revision: 1547289
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 8.11.3-1.mga8
+ Revision: 1487823
- new version: 8.11.3

* Tue Sep 17 2019 wally <wally> 8.10.18-1.mga8
+ Revision: 1443139
- new version 8.10.18
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 8.10.2-1.mga7
+ Revision: 1353778
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 8.9.8-2.mga7
+ Revision: 1289667
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 joequant <joequant> 8.9.8-1.mga7
+ Revision: 1238405
- initial update
- add directory

